Page 1 of 3 123 LastLast
Results 1 to 10 of 26
  1. #1
    Join Date
    Oct 2010
    Posts
    30
    Plugin Contributions
    0

    Default In need of help upgrading to new version

    I have long delayed upgrading my website and now a bit confused how to get from here to there...

    I think my host may have upgrade the PHP which has now caused issues (I should say more issues) in which my site no longer works....

    I get the white screen and error message "Call to undefined function: mysql_connect(). Please install the MySQL Connector for PHP"

    the site is apparel-printers.com
    the way I have it set up is a html landing page with a link to the online store area which is a sub-directory with the ZC script where everything happens...

    I am pretty sure the version is 1.3.9h and I say that because I can not access the site but I went through the Cpanel and looked at the version.php file under the original install directory...

    what I tried to do was install the latest version which I had some problems doing and ended up doing through the automated process in Cpanel...

    when trying to upload the files myself and doing the install I had issues accessing the database which I couldn't figure why...

    I double checked everything as far as user name, database name, password, and permissions and everything seemed to be in check however I kept getting the error "Problems with Database Connection 1045:Access denied for user 'apparvuc_apshop'@'162.222.227.252' (using password: YES)" when trying to install...

    this is located at public_html/store....

    after several attempts and walking away then coming back at a later time and several more attempts and verifying info, all with no luck, that is when I tried the install with the softaculous install in Cpanel which all went well...

    at that point I exported the database from the store I had been running and loaded it to the new database...

    I'm sure those of you that are in the know, know that this does not work...

    I have been looking around and don't seem to find/recognize how to get the new store setup to read the uploaded data files...

    looking at the structure, I see that the new setup has different names than what I had uploaded and I suspect this is the reason the new site is not registering the info from the imported files...

    so at this point I'm not sure if I should delete the new install and database and user and start over all together or if I can somehow get the info from for example the sessions file to the zenui_sessions file or what exactly would be the easiest way to get the new store up and running with all the history accessible there...

    currently the structure is as public_html/estore for the store front I have been running which doesn't work...

    I think it could be back up and running relative easy if I get the host to implement an older version of PHP however I have several other issues that I have just been working around that I need to get working again...

    I would rather just go with the new version ZC 1.5.7 and be up to date on everything...

    the current version is located at public_html/zstore and I have basically done nothing but install ZC and try to import the database...

    no modifications have been made at this point so to delete and start from scratch wouldn't be a waste of earlier efforts...

    so basically I am looking for advise/directions for best/easiest way getting an old store 1.3.9h up to 1.5.7 with all the history, products, attributes and etc...

    using the new directory is not an issue due to the domain landing page being a simple html page which I can easily just change the link to the store and be done...

    again the website is apparel-printers.com...
    the store I have been running is at apparel-printers.com/estore...
    the failed attempt is at apparel-printers.com/store...
    and the automated install using softaculous is at apparel-printers.com/zstore...

  2. #2
    Join Date
    Oct 2010
    Posts
    30
    Plugin Contributions
    0

    Default Re: In need of help upgrading to new version

    OK... after finding some other post I have deleted the automated install of ZC, database, and user... I also found where I could change the PHP versions in Cpanel however that didn't resolve the issue of the white page and error message to install PHP connector... the old store is still down so I went back and changed the PHP back to 7.4... so now I also deleted the new database that I was trying to do the manual install of 1.5.7 and its user and created a new database and user using a different name than the first try... all went well with the install...

  3. #3
    Join Date
    Oct 2010
    Posts
    30
    Plugin Contributions
    0

    Default Re: In need of help upgrading to new version

    now I tried running the install again to update the database I get a couple issues messages... 1 that Support for ".htaccess" files is not enabled or is not operating correctly. 2 that PHP reporting that curl is not present and 3 that Gzip extension is not enabled... are these anything that prevents me from proceeding further to update the database?

  4. #4
    Join Date
    Mar 2005
    Location
    United Kingdom
    Posts
    576
    Plugin Contributions
    0

    Default Re: In need of help upgrading to new version

    You can build your new 1.5.7 store and then when ready backup you live database and restore it to your new database. Replace the zc_install directory (which you had to remove or rename in order to log in to your Admin) and run the installer again. You will then be prompted to upgrade your database.

    Have a look at the docs here:
    https://docs.zen-cart.com/user/upgra...led_upgrading/

  5. #5
    Join Date
    Oct 2010
    Posts
    30
    Plugin Contributions
    0

    Default Re: In need of help upgrading to new version

    Quote Originally Posted by Brent View Post
    You can build your new 1.5.7 store and then when ready backup you live database and restore it to your new database. Replace the zc_install directory (which you had to remove or rename in order to log in to your Admin) and run the installer again. You will then be prompted to upgrade your database.

    Have a look at the docs here:
    https://docs.zen-cart.com/user/upgra...led_upgrading/
    I was reading there however when I ran the installer again I got the messages listed above and the only option was a clean install... no upgrade database option... I didn't do any rebuilding yet, just the initial install to get a running store with the default setup...
    Last edited by iknowalttl; 5 Oct 2020 at 12:07 AM.

  6. #6
    Join Date
    Feb 2006
    Location
    Tampa Bay, Florida
    Posts
    7,510
    Plugin Contributions
    102

    Default Re: In need of help upgrading to new version

    If you don't have an upgrade option, check your database parameters in your configure.php files - are you specifying the right database? Correct prefix value? etc.
    That Software Guy. My Store: Zen Cart Modifications
    Available for hire - See my ad in Services
    Plugin Moderator, Documentation Curator, Chief Cook and Bottle-Washer.

  7. #7
    Join Date
    Oct 2010
    Posts
    30
    Plugin Contributions
    0

    Default Re: In need of help upgrading to new version

    Quote Originally Posted by swguy View Post
    If you don't have an upgrade option, check your database parameters in your configure.php files - are you specifying the right database? Correct prefix value? etc.
    everything went well on the install and everything seems well when I browse the index page and everything seems fine logging in to the admin area so I assumed all was good... I just went and checked the includes/configure.php file and everything seems to be in check there... should I be checking anything different?

  8. #8
    Join Date
    Oct 2010
    Posts
    30
    Plugin Contributions
    0

    Default Re: In need of help upgrading to new version

    I don't know why but I can't seem to get the option to upgrade the database... when I try the installer the second time the only option is a clean install and a refresh button to the far right... I do get a couple issues messages... 1 that Support for ".htaccess" files is not enabled or is not operating correctly. and 2 that Gzip extension is not enabled... if I refresh I get 3 messages... 1 that Support for ".htaccess" files is not enabled or is not operating correctly. 2 that PHP reporting that curl is not present and 3 that Gzip extension is not enabled.... and I still have only the clean install option and the refresh button to the far right but after the refresh I also get errors trying to access the login page and the admin page... running a clean install fixes everything but running the installer a second time still gets the same results and if I refresh again I have to start the whole process over with a clean install... as long as I don't try to refresh all is well with the exception of no database upgrade option... currently everything seems to function properly with the login page and the admin until I try to refresh the second run of the installer and I don't get the option to upgrade database on the second run of the installer...

  9. #9
    Join Date
    Mar 2005
    Location
    United Kingdom
    Posts
    576
    Plugin Contributions
    0

    Default Re: In need of help upgrading to new version

    You state above you checked includes/configure.php but have you also checked admin/includes/configure.php

  10. #10
    Join Date
    Oct 2010
    Posts
    30
    Plugin Contributions
    0

    Default Re: In need of help upgrading to new version

    Quote Originally Posted by Brent View Post
    You state above you checked includes/configure.php but have you also checked admin/includes/configure.php
    yes and all seems in check there also....

 

 
Page 1 of 3 123 LastLast

Similar Threads

  1. v157 E-mail problems since upgrading to new version
    By SCOX5275 in forum Basic Configuration
    Replies: 8
    Last Post: 22 Nov 2020, 02:51 AM
  2. v139h upgrading a new installation of version 1.3.9 to 1.5
    By cshearer in forum Upgrading to 1.5.x
    Replies: 17
    Last Post: 2 May 2012, 10:30 PM
  3. Error when upgrading to new version through Softaculous
    By annav in forum Upgrading from 1.3.x to 1.3.9
    Replies: 3
    Last Post: 9 Oct 2010, 06:07 PM
  4. upgrading to new version
    By geovino in forum Upgrading from 1.3.x to 1.3.9
    Replies: 3
    Last Post: 28 Jun 2007, 06:59 PM
  5. upgrading to the new version
    By op913chad in forum Upgrading from 1.3.x to 1.3.9
    Replies: 2
    Last Post: 8 Dec 2006, 04:50 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR